Gecode::VarImpVar< VarImp > Class Template Reference
Functionality by programming task » Programming variables » Programming views for variables

Variables as interfaces to variable implementations. More...

`#include <var.hpp>`

## Public Types

typedef VarImp | VarImpType
| The variable implementation type corresponding to the variable.

## Protected Member Functions

| VarImpVar (void)
| Default constructor.
| VarImpVar (VarImp *y)
| Initialize with variable implementation y.

## Protected Attributes

VarImp * | x
| Pointer to variable implementation.

## Generic variable information

VarImp * | varimp (void) const
| Return variable implementation of variable.
unsigned int | degree (void) const
| Return degree (number of subscribed propagators and advisors).
double | afc (void) const
| Return accumulated failure count.

## Domain tests

bool | assigned (void) const
| Test whether view is assigned.

## Cloning

void | update (Space &home, VarImpVar< VarImp > &y)
| Update this variable to be a clone of variable y.

## Detailed Description

template<class VarImp>
class Gecode::VarImpVar< VarImp >

Variables as interfaces to variable implementations.

Definition at line 47 of file var.hpp.

## Member Typedef Documentation

## VarImpType

template<class VarImp>

typedef VarImp Gecode::VarImpVar< VarImp >::VarImpType

The variable implementation type corresponding to the variable.

Definition at line 57 of file var.hpp.

## Constructor & Destructor Documentation

## VarImpVar() [1/2]

template<class VarImp>

Gecode::VarImpVar< VarImp >::VarImpVar | ( | void |  | ) |

inline protected

Default constructor.

Definition at line 88 of file var.hpp.

## VarImpVar() [2/2]

template<class VarImp>

Gecode::VarImpVar< VarImp >::VarImpVar | ( | VarImp * | y | ) |

inline protected

Initialize with variable implementation y.

Definition at line 92 of file var.hpp.

## Member Function Documentation

## varimp()

template<class VarImp>

VarImp * Gecode::VarImpVar< VarImp >::varimp | ( | void |  | ) | const

inline

Return variable implementation of variable.

Definition at line 96 of file var.hpp.

## degree()

template<class VarImp>

unsigned int Gecode::VarImpVar< VarImp >::degree | ( | void |  | ) | const

inline

Return degree (number of subscribed propagators and advisors).

Definition at line 101 of file var.hpp.

## afc()

template<class VarImp>

double Gecode::VarImpVar< VarImp >::afc | ( | void |  | ) | const

inline

Return accumulated failure count.

Definition at line 106 of file var.hpp.

## assigned()

template<class VarImp>

bool Gecode::VarImpVar< VarImp >::assigned | ( | void |  | ) | const

inline

Test whether view is assigned.

Definition at line 111 of file var.hpp.

## update()

template<class VarImp>

void Gecode::VarImpVar< VarImp >::update | ( | Space & | home,
|  | VarImpVar< VarImp > & | y )

inline

Update this variable to be a clone of variable y.

Definition at line 116 of file var.hpp.

## Member Data Documentation

## x

template<class VarImp>

VarImp* Gecode::VarImpVar< VarImp >::x

protected

Pointer to variable implementation.

Definition at line 50 of file var.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/var.hpp